org.eclipse.ease.ui.modules.ui

## Class ModulesFilter

- java.lang.Object
- - org.eclipse.ease.ui.modules.ui.ModulesFilter

    public class ModulesFilter
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static ViewerFilter` `all()`
`static ViewerFilter` `modulesOnly()`
`static ViewerFilter` `visible(ModulesContentProvider contentProvider)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### visible

    public static ViewerFilter visible(ModulesContentProvider contentProvider)

#### modulesOnly

    public static ViewerFilter modulesOnly()

#### all

    public static ViewerFilter all()